<template>
  <div id="themeSetting">
    <v-toolbar color="primary" dark>
      <v-toolbar-title>
        Theme Settings
      </v-toolbar-title>
    </v-toolbar>
    <v-container>
      <v-layout column>
        <v-flex>
          <v-subheader class="px-1 my-2">
            Color Option
          </v-subheader>
          <div class="color-option">
            <v-item-group>
              <template v-for="item in themeColorOptions">
                <v-item :key="item.key" v-slot="{ active }" :value="item.key">
                  <v-avatar
                    :class="active ? 'active' : ''"
                    :color="item.key"
                    size="56"
                    tile
                    @click="changeColor(item)"
                  >
                    <v-scroll-y-transition>
                      <v-icon v-if="active" color="white"> mdi-check </v-icon>
                    </v-scroll-y-transition>
                  </v-avatar>
                </v-item>
              </template>
            </v-item-group>
          </div>
          <div class="theme-options">
            <v-subheader class="px-1 my-2">
              Sidebar Option
            </v-subheader>
            <v-divider></v-divider>
            <div class="my-3">
              <v-btn-toggle v-model="sideBarOption">
                <v-btn text value="dark">Dark</v-btn>
                <v-btn text value="light">Light</v-btn>
              </v-btn-toggle>
            </div>
          </div>
        </v-flex>
      </v-layout>
    </v-container>
  </div>
</template>

<script>
import colors from "vuetify/es5/util/colors";
export default {
  data() {
    return {
      colors: colors,
      themeColor: colors.blue.darken2,
      sideBarOption: "light"
    };
  },
  /*
  t Object] : #2196f3
ThemeSettings.vue?606b:110 [object Object] : #009688
ThemeSettings.vue?606b:110 [object Object] : #f44336
ThemeSettings.vue?606b:110 [object Object] : #ff9800
ThemeSettings.vue?606b:110 [object Object] : #9c27b0
ThemeSettings.vue?606b:110 [object Object] : #3f51b5
ThemeSettings.vue?606b:110 [object Object] : #00bcd4
ThemeSettings.vue?606b:110 [object Object] : #e91e63
ThemeSettings.vue?606b:110 [object Object] : #4caf50
  */
  computed: {
    themeColorOptions() {
      return [
        {
          key: colors.blue.darken2
        },
        {
          key: "#009688" //teal
        },
        {
          key: "#f44336" //red
        },
        {
          key: "#ff9800" //orange
        },
        {
          key: "#9c27b0" //purple
        },
        {
          key: "#3f51b5" //indigo
        },
        {
          key: "#00bcd4" //cyan
        },
        {
          key: "#e91e63" //pink
        },
        {
          key: "#4caf50" //green
        }
      ];
    }
  },
  watch: {
    themeColor: {
      handler(val) {
        this.$nuxt.$vuetify.theme.primary = val;
      },
      immediate: true
    },
    sideBarOption: {
      handler(val) {
        this.$nuxt.$vuetify.theme.isDark = val === "dark";
      },
      immediate: true
    }
  },
  methods: {
    changeColor(option) {
      console.log(option);
      const color = option.key;
      this.$nuxt.$vuetify.theme.themes.light.primary = color;
      this.$nuxt.$vuetify.theme.themes.dark.primary = color;
    }
  }
};
</script>
